Part Polygone régulier

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part RegularPolygon and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Part Line.svg Ligne
Page suivante : Générateur de formes Part Builder.svg Arrow-right.svg

Part RegularPolygon.svg Part Polygone régulier

Emplacement du menu
Part → Créer des primitives → Polygone régulier
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
0.14
Voir aussi
Part Primitives

Description

Un Part RegularPolygon.svg Part Polygone régulier est une forme paramétrique qui peut être créée avec la Part Primitives.svg Part Primitives. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, le polygone se trouve sur le plan XY avec son centre à l'origine et l'un de ses sommets sur l'axe X.

Part RegularPolygon Example.png

Utilisation

Voir Part Primitives.

Exemple

Part Polygone régulier à partir de l'exemple du script

Un objet Part Polygone régulier créé avec l'exemple du script ci-dessous.

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Part Polygone régulier est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Regular Polygon

  • DonnéesPolygon (IntegerConstraint) : Le nombre de côtés du polygone. La valeur par défaut est 6.
  • {{PropertyData|Circumradius|Length} :} Le rayon du cercle qui circonscrit le polygone, la distance entre le centre du polygone et l'un de ses sommets. La valeur par défaut est 2mm.

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Un Part Polygone régulier est créé avec la méthode addObject() du document :

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • "myPolygon" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()


Arrow-left.svg Page précédente : Part Line.svg Ligne
Page suivante : Générateur de formes Part Builder.svg Arrow-right.svg